Stablecoin payroll & payroll admin
Get My Token Compensation Details
Name and signature indicate it gets my token compensation details
GEThttps://api.toku.com/hris/get-my-token-compensation-details
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-my-token-compensation-details' \
--header 'Authorization: Bearer <token>'200 response
{
"allocationBlockedReason": "string",
"paycheckBreakdown": {
"tokenPayPerPayPeriod": "string",
"salaryPerPayPeriod": "string",
"payPeriodsPerYear": 0,
"maximumTokenPayPerPayPeriod": "string",
"currency": "string",
"maxTokenPayInFiat": "string",
"currentTokenPayFiat": "string",
"allTimeTokensReceivedFiat": "string",
"firstPaymentDate": "string",
"lastPaymentDate": "string",
"paidInTokens": [
{
"networkName": "string",
"tokenName": "string",
"networkIconUrl": "string",
"tokenIconUrl": "string"
}
]
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
allocationBlockedReasonstring | nullrequiredpaycheckBreakdownobjectrequiredShow child attributes
tokenPayPerPayPeriodstringrequiredsalaryPerPayPeriodstringrequiredpayPeriodsPerYearintegerrequiredmaximumTokenPayPerPayPeriodstringrequiredcurrencystringrequiredmaxTokenPayInFiatstringrequiredcurrentTokenPayFiatstringrequiredallTimeTokensReceivedFiatstringrequiredfirstPaymentDatestring | nullrequiredlastPaymentDatestring | nullrequiredpaidInTokensobject[]requiredShow child attributes
networkNamestringrequiredtokenNamestringrequirednetworkIconUrlstringrequiredtokenIconUrlstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits